nxt.http.callers

## Class StartFundingMonitorCall

- java.lang.Object
- - nxt.http.APICall.Builder<StartFundingMonitorCall>
  - - nxt.http.callers.StartFundingMonitorCall

-     public class StartFundingMonitorCall
      extends APICall.Builder<StartFundingMonitorCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StartFundingMonitorCall` | `amount(java.lang.String amount)`
    `static StartFundingMonitorCall` | `create(int chain)`
    `StartFundingMonitorCall` | `holding(long holding)`
    `StartFundingMonitorCall` | `holding(java.lang.String holding)`
    `StartFundingMonitorCall` | `holdingType(byte holdingType)`
    `StartFundingMonitorCall` | `interval(java.lang.String interval)`
    `StartFundingMonitorCall` | `property(java.lang.String property)`
    `StartFundingMonitorCall` | `threshold(java.lang.String threshold)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static StartFundingMonitorCall create(int chain)

    - #### holding

          public StartFundingMonitorCall holding(java.lang.String holding)

    - #### holding

          public StartFundingMonitorCall holding(long holding)

    - #### amount

          public StartFundingMonitorCall amount(java.lang.String amount)

    - #### holdingType

          public StartFundingMonitorCall holdingType(byte holdingType)

    - #### property

          public StartFundingMonitorCall property(java.lang.String property)

    - #### interval

          public StartFundingMonitorCall interval(java.lang.String interval)

    - #### threshold

          public StartFundingMonitorCall threshold(java.lang.String threshold)